<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:c="http://java.sun.com/jsp/jstl/core"
                template="/WEB-INF/template.xhtml">

    <ui:define name="title">Dashboard</ui:define>

    <ui:define name="head">
        <script type="text/javascript">
            //<![CDATA[
            function skinChart() {
                this.cfg.shadow = false;
                this.cfg.title = '';
                this.cfg.seriesColors = ['#FFC107', '#03A9F4'];
                this.cfg.grid = {
                    background: '#ffffff',
                    borderColor: '#ffffff',
                    gridLineColor: '#EEEEEE',
                    shadow: false
                };
                this.cfg.axesDefaults = {
                    rendererOptions: {
                        textColor: '#212121'
                    }
                };
                this.cfg.seriesDefaults = {
                    shadow: false,
                    lineWidth: 1,
                    markerOptions: {
                        shadow: false,
                        size: 7,
                        style: 'circle'
                    }
                }
            }
            //]]>  
        </script>
        <style type="text/css">
            .main-content {
                padding: 0;
            }
        </style>
    </ui:define>

    <ui:define name="content">
    
        <div class="ui-g dashboard">
        
        <div class="ui-md-2"></div>
        <div class="ui-md-7">
        <div class="card">
        	
            <!-- event window -->
			
				
					<img src="#{eventBean.event.imageURI}" style="width:100%;height: 100%"/>
			
		
        
      
			<div class="ui-md-12">	
			
			<div class="float_right" style="float: right;">
		<h:panelGrid columns="1" cellpadding="10">
		<c:if test="#{eventBean.isNotParticipating()}">
		<h:form>
    		<h:commandButton type="submit" action="#{eventBean.doParticipate()}" value="Participate" icon="ui-icon-star" style="width:auto" class="ui-button ui-widget ui-state-default ui-corner-all ui-button-text-icon-left"/>
    	</h:form>
		</c:if>
		
				<c:if test="#{ not eventBean.isNotParticipating()}">
		
    		<p:commandButton value="Already participated" icon="ui-icon-star" style="width:auto" class="ui-button ui-widget ui-state-default ui-corner-all ui-button-text-icon-left"/>
    		<h:form>
    		<p:commandButton action="#{eventBean.doDownloadPass()}" value="Generate Pass" icon="ui-icon-star" style="width:auto" class="ui-button ui-widget ui-state-default ui-corner-all ui-button-text-icon-left"/>
    		</h:form>
		</c:if>
		
		</h:panelGrid>
		</div>
		
			
		<div><h2>Title</h2></div>
		<div><p>#{eventBean.event.title}</p></div>
		
		<div><h2>description</h2></div>
		<div><p>#{eventBean.event.content}</p></div>
		
		<div><h2>date</h2></div>
		<div><p>#{eventBean.event.endDate}</p></div>
		
		<div><h2>localtion</h2></div>
		<div><p>#{eventBean.event.location}</p></div>
		
		</div>		
		</div>
		</div>

		<div class="ui-md-2"></div>
		<div class="ui-md-8">
		<div id="map"></div>
		</div>

  <div class="ui-md-2"></div>

       <!-- chat window -->
  	<div class="ui-md-9">
                <h:form>
                    
                        <div class="chat">
                            <p:panel header="Chat" styleClass="ui-shadow-content">
                                <ul>
                                <c:forEach var="item" items="#{eventBean.event.eventComments}">
                                    <li class="clearfix message-from">
                                        <p:graphicImage name="images/avatar2.png" library="ultima-layout" />
                                        <span>#{item.content}</span>
                                    </li>
                                    </c:forEach>
                                   
                                    </ul>
                                <div class="new-message">
                                    <h:commandButton  action="#{eventBean.doPostComment()}" value="send" class="message-attachment" />
                                       
                                   
                                    <div class="message-input">
                                    <h:form>
                                        <h:inputText value="#{eventBean.comment}" placeholder="Write a message" />
                                    </h:form>
                                    </div>
                                </div>
                            </p:panel>
                        </div>
                    
                </h:form>
            </div>
		
  </div>
    </ui:define>

</ui:composition>